curl --request GET \
--url https://api.chainstack.com/v1/projects/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstack.com/v1/projects/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstack.com/v1/projects/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "PR-123-456",
"name": "My public chain project",
"type": "public",
"networks": 0,
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Retrieve a project with the Chainstack Platform API
Retrieve detailed information about a specific Chainstack project, including networks and members. Send a GET request to /v1/projects// by project ID.
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Path Parameters
A unique value identifying the Object.
Response
Name of the project.
Description of the project.
Type of the project.
publicfor public chain project
public Number of members invited to the consortium project.
Only for the consortium project.
Number of networks created in the project.
Creator of the project.
Show child attributes
Show child attributes
When the project was created.
Was this page helpful?